<?php
  
  global $order, $oID;
    // quickpay added start
    // Only show quickpay transaction when we have an transacctionid from payment gateway
    // Also check if we can access QuickPay API (only when Curl and Xml extentions are loaded)
    if (tep_not_null($order->info['cc_transactionid']) && get_quickpay_api_supported()) {
?>

          <tr>
            <td class="main"><b><?php echo ENTRY_QUICKPAY_TRANSACTION; ?></b></td>
            <td class="main"><?php
                $status = get_quickpay_status($oID);
                if ($status && $status['qpstat'] === '000' && $status['msgtype'] == "statusresponse") {
                  $statustext = array();
                  $statustext[3] = INFO_QUICKPAY_CAPTURED;
                  $statustext[5] = INFO_QUICKPAY_REVERSED;
                  switch ($status['state']) {
                    case '1':
                      echo tep_draw_form('transaction_form', FILENAME_ORDERS, tep_get_all_get_params(array('action')) . 'action=quickpay_capture');
                      echo tep_draw_hidden_field('action', 'quickpay_capture') . tep_draw_hidden_field('oID', $oID), tep_draw_hidden_field('currency', $status['currency']);    
                      $amount_big = (int)($status['amount']/100);
                      $amount_small = $status['amount']%100;           
                      echo tep_draw_input_field('amount_big', (string)$amount_big, 'size="11" style="text-align:right"', false, 'text', false);
                      echo ' , ';
                      echo tep_draw_input_field('amount_small', sprintf('%02d', $amount_small), 'size="3"', false, 'text', false) . ' ' . $status['currency'] . ' ';
                      echo '<a href="javascript:if (qp_check_capture(' . $amount_big . ', ' .  $amount_small . ')) document.transaction_form.submit();">' . tep_image(DIR_WS_IMAGES . 'icon_transaction_capture.gif', IMAGE_TRANSACTION_CAPTURE_INFO) . '</a>';
                      echo '</form>'; 
                      echo tep_draw_form('transaction_decline_form', FILENAME_ORDERS, tep_get_all_get_params(array('action')) . 'action=quickpay_reverse', 'post');
                      echo '<a href="javascript:if (qp_check_reverse()) document.transaction_decline_form.submit();">' . tep_image(DIR_WS_IMAGES . 'icon_transaction_reverse.gif', IMAGE_TRANSACTION_REVERSE_INFO) . '</a>';
                      echo '</form>'; 
                      $sevendayspast = date('ymd', time() - (7*24*60*60));
                      if ($sevendayspast == substr($status['time'], 0, 6)) {
                        echo tep_image(DIR_WS_IMAGES . 'icon_transaction_time_yellow.gif', IMAGE_TRANSACTION_TIME_INFO_YELLOW);
                      } else if (strcmp($sevendayspast, substr($status['time'], 0, 6)) > 0) {
                        echo tep_image(DIR_WS_IMAGES . 'icon_transaction_time_red.gif', IMAGE_TRANSACTION_TIME_INFO_RED);
                      } else {                      
                        echo tep_image(DIR_WS_IMAGES . 'icon_transaction_time_green.gif', IMAGE_TRANSACTION_TIME_INFO_GREEN);
                      }
                      break;
                    case '3':
                    case '5':
                      $amount_big = (int)($status['amount']/100);
                      $amount_small = $status['amount']%100;           
                      echo tep_draw_input_field('amount_big', (string)$amount_big, 'size="11" style="text-align:right" disabled', false, 'text', false);
                      echo ' , ';
                      echo tep_draw_input_field('amount_small', sprintf('%02d', $amount_small), 'size="3" disabled', false, 'text', false) . ' ' . $status['currency'] . ' ';
                      echo tep_image(DIR_WS_IMAGES . 'icon_transaction_capture_grey.gif', IMAGE_TRANSACTION_CAPTURE_INFO);
                      echo tep_image(DIR_WS_IMAGES . 'icon_transaction_reverse_grey.gif', IMAGE_TRANSACTION_REVERSE_INFO);
                      echo tep_image(DIR_WS_IMAGES . 'icon_transaction_time_grey.gif', '');
                      echo ' (' . $statustext[$status['state']] . ')'; 
                      break;
                    default:
                      break;
                   }                                      
                } else {
                  echo '<font color="red">' . $status['qpstatmsg'] . '</font>';
                }
              ?>
          <tr>
            <td class="main"><b><?php echo ENTRY_QUICKPAY_TRANSACTION_ID; ?></b></td>
            <td class="main"><?php echo $order->info['cc_transactionid']; ?></b></td>
          </tr>
<?php
    }
// quickpay added end
?>