<?php

  global $_GET, $_POST;
  
  define('ENTRY_QUICKPAY_TRANSACTION', 'QuickPay Transaction:');
  define('IMAGE_TRANSACTION_CAPTURE_INFO', 'Capture Payment');
  define('IMAGE_TRANSACTION_REVERSE_INFO', 'Cancel Payment');
  define('IMAGE_TRANSACTION_TIME_INFO_GREEN', 'Capture is possible within PBS guaranteed period');
  define('IMAGE_TRANSACTION_TIME_INFO_YELLOW', 'Last day for PBS guaranteed capture');
  define('IMAGE_TRANSACTION_TIME_INFO_RED', 'Past last day for PBS guaranteed capture');
  define('INFO_QUICKPAY_CAPTURED', 'Payment is captured');
  define('INFO_QUICKPAY_REVERSED', 'Payment is cancelled');
  define('ENTRY_QUICKPAY_TRANSACTION_ID', 'Transaction Id:');
  define('CONFIRM_REVERSE', 'Do you want to cancel this payment?');
  define('CONFIRM_CAPTURE', 'Warning: Transaction amount does not match order total. Do you want to capture payment?');

  if ((PHP_VERSION < "5.0.0")) {
    require(DIR_WS_CLASSES . 'quickpay4.php');
    require(DIR_WS_FUNCTIONS . 'quickpay4.php');
  } else {
    require(DIR_WS_CLASSES . 'quickpay5.php');
    require(DIR_WS_FUNCTIONS . 'quickpay5.php');
  }
  
  $action = (isset($_GET['action']) ? $_GET['action'] : '');
  switch ($action) {
    case 'quickpay_reverse':
      $oID = $_GET['oID'];
      $result = get_quickpay_reverse($oID);
      tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . MODULE_PAYMENT_QUICKPAY_CANCELED_ORDER_STATUS_ID . "' where orders_id = '" . $oID . "'");
      $sql_data = array('orders_id' => $oID,
                        'orders_status_id' => MODULE_PAYMENT_QUICKPAY_CANCELED_ORDER_STATUS_ID,
                        'date_added' => 'now()',
                        'comments' => TEXT_CANCELED_ORDER_COMMENTS);
      tep_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data);
      tep_redirect(tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action')) . 'action=edit'));
      break;
    case 'quickpay_capture':
      $oID = $_GET['oID'];
      // convert amount from local currency-format to required quickpay format 
      $amount = $_POST['amount_big'] . sprintf('%02d', $_POST['amount_small']);
      $result = get_quickpay_capture($oID, $amount);
      tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . MODULE_PAYMENT_QUICKPAY_CAPTURED_ORDER_STATUS_ID . "' where orders_id = '" . $oID . "'");
      $sql_data = array('orders_id' => $oID,
                        'orders_status_id' => MODULE_PAYMENT_QUICKPAY_CAPTURED_ORDER_STATUS_ID,
                        'date_added' => 'now()',
                        'comments' => TEXT_CAPTURED_ORDER_COMMENTS);
      tep_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data);
      tep_redirect(tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action')) . 'action=edit'));
      break;
  }
?>